Tech Dreams

1 Reason Why I Downgraded Firefox 3.5 To Firefox 3.0 On My Work PC

Firefox_256_newCouple of days ago I wrote about the five reason why we should download and install the latest version of Firefox, version 3.5. I upgraded browser on personal laptop to Firefox 3.5 and the browsing experience is more fun than ever.

As there is lot of value addition in the new version, I upgraded Firefox at work place too.  All the fun with the new browser ended when I saw a flashing message showing Firebug plugin is not compatible with the new version of Firefox. I extensively use Firebug for web development and without that web development came to stand still. I was left with no option other than downgrading Firefox 3.5 to 3.0.

The next version of Firebug is compatible with Firefox 3.5 but still it is beta stage. So till a stable version of Firebug is available, I can’t upgrade to Firefox 3.5.

How to downgrade Firefox 3.5 to Firefox 3.0

For any reason if you are interested in downgrading Firefox 3.5 to Firefox 3.0 here are the steps to be followed:

  1. Download the latest release of Firefox 3.0(3.0.14) from Mozilla FTP Servers
  2. Just run the installer, it will automatically downgrade your Firefox to version 3.0

The downgrade process is very smooth and it retained all the settings of my profile.

20 Comments on 1 Reason Why I Downgraded Firefox 3.5 To Firefox 3.0 On My Work PC

  1. maxwell
    June 21, 2011 at 7:57 am (8 years ago)

    For me I downgraded to 3.0 because I need to install firesheep plugin which is not compatible with the latest version.

    Reply
  2. Jitender
    July 27, 2010 at 5:04 pm (9 years ago)

    I am working on a Automation Tool Tellurium, Firefox 3.5 and above is not compatible with Fitnesse server cause of that I downgraded my Firefox to 3.0.14.

    Reply
  3. Fadi
    January 24, 2010 at 7:57 pm (10 years ago)

    I’m gonna have to downgrade to 3.0 cause I keep getting prompted for authentication (i’m on my university’s wireless network) everytime i open a new webpage

    Reply
  4. HELP!
    November 18, 2009 at 2:18 am (10 years ago)

    Hi All,

    I am not sure that I am on the correct site to have my question answered, but if I am not, please direct me to the right site.

    I read all of your answers and am still confused. I am having a problem getting FF to open from my desktop shortcut.

    That being said; I noticed that you were talking about various FF “downgrades”, etc. The following is what I took from my FF “help”:

    “Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.13) Gecko/2009073022 Firefox/3.0.13 (.NET CLR 2.0.50727; .NET CLR 3.0.30618; .NET CLR 3.5.30729)”

    Is something wrong here? Am I doing something wrong? HELP! What should I do? Am I using the right FF explained above?

    I am not sure if downgrading to another version of FF will help the situation. Do you think it will?

    Please answer my question via my email address: shilohm@myexcel.com

    Thank you.

    Blessings.

    I am a newbie at all of this stuff; I also can’t get an answer that I can understand on ANY forum or even from FF itself regarding this problem.

    I noticed that you are talking about various

    Reply
  5. Zaiaku
    October 9, 2009 at 10:59 am (10 years ago)

    Personally 3.5 is great but some of the way that the plugins work suit me better with 3.0. I’m going to downgrade in the morning.

    Reply
  6. Simone
    September 21, 2009 at 7:36 pm (10 years ago)

    @Gopinath
    Thank you!

    Reply
  7. ardianto
    September 20, 2009 at 3:54 pm (10 years ago)

    @Gopinath

    sbin removed too:(. Mozilla apparently doesnt want us to downgrade / choose the version we want to use. Bugger!

    Reply
  8. Simone
    September 17, 2009 at 5:36 pm (10 years ago)

    Not Found

    The requested URL /pub/mozilla.org/firefox/releases/3.0.11/win32/en-GB/Firefox Setup 3.0.11.exe was not found on this server.

    Ashame, some of my add ons do not work with 3.5
    If you know another spot where I can find setup for FF3.0 please let me know

    Reply
  9. Mitsy
    September 4, 2009 at 3:45 am (10 years ago)

    Thanks so much for posting this, and a link to the downgrade. Was very helpful–

    Reply
  10. Tim W
    August 15, 2009 at 6:30 am (10 years ago)

    Thanks for posting the instructions. An hour after I upgraded I realized a downgrade was needed. None of my FaceBook apps that use Adobe Flash are working correctly. They are slow and nothing fits on the page. I’ve also had unexpected shutdowns. I’ve never seen a version of FireFox that has given me so much grief.

    Reply
  11. Dan Kelly
    July 19, 2009 at 1:19 am (10 years ago)

    FireBug works on my FF v3.5… But after yesterday’s update, after I click one link the entire browser area goes black.

    FI I try to open a new window or click another link, that tab goes black.

    I have to restart FF. :-(

    One more reason to downgrade, Qute theme looks like cr@p in the new versions.

    One more, even bigger… Tab Mix Plus doesn’t work in v3.5 yet.

    Reply
  12. Craig M. Jamieson
    July 13, 2009 at 6:21 pm (10 years ago)

    Worked perfectly. Thanks! You saved my bacon (smile).I don’t do web development but could not get my google gmail gadget for hosted domains to work consistently. I almost got out my 12 gauge (smile). Thanks!

    Reply
  13. Robin
    July 13, 2009 at 6:36 am (10 years ago)

    I’m another sucker who trusted that FF3.5 and FB1.4 would be okay for web-dev and got caught. Similarity is that I’m on Vista Ultimate – maybe something there.
    GLad I found you page before I broke something ;-)

    Reply
  14. Ashish
    July 9, 2009 at 12:20 pm (10 years ago)

    1 more reason
    the finger touch doesn’t work with 3.5 it works fine with 3.0

    Reply
  15. Gopinath
    July 8, 2009 at 11:41 am (10 years ago)

    Nitin,
    I tried Firebug 1.4 beta and had issues with profiling. Firebug has awesome support for debugging ajax calls and javascript. These features are not so stable in the current beta version. That is the reason why I opted to go back to Firefox 3.0 with the stable Firebug plugin.

    Reply
  16. Nitin
    July 8, 2009 at 9:43 am (10 years ago)

    You could have upgraded your firebug for firefox 3.5.
    Even I am using Firefox 3.5 with Firebug 1.4.0b4..
    This is beta of firebug but still it is stable. No problems !!!!!!!!!!!!

    Reply
    • Gopinath
      July 7, 2009 at 10:19 am (10 years ago)

      Mark,
      I’m glad that the instructions helped you to downgrade Firefox to version 3.0.

      Lets hope in another couple of weeks all the issues of Firefox 3.5 as well the plugins will be sorted out.

      Reply
  17. AussieSheila
    July 6, 2009 at 1:30 am (10 years ago)

    Thankfully all my add-ons are 3.5-compatible and I didn’t need to downgrade. Another solution would be to have one version installed on the computer and the other one as portable. That way you can use your fav add-ons whenever you need them and enjoy great browsing experience wen you don’t need those add-ons.

    Reply

Leave a reply to Simone

Click here to cancel reply.